## ros-iron-tf2-py 0.31.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_py)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
if(CMAKE_COMPILER_IS_GNUCXX)
  # GCC 8 on CentOS 7 (correctly) warns that casting
  # METH_VARARGS | METH_KEYWORDS functions (with 3 PyObject * arguments) to a
  # PyCFunction (with 2 PyObject * arguments) in PyMethodDef is an incompatible
  # cast.  This works fine since it is just a pointer, so disable that
  # warning to quiet it down.  Note that we do this globally rather than in a
  # pragma since gcc prior to 8 ignores unknown command-line flags while it
  # does *not* ignore unknown pragmas.
  add_compile_options(-Wno-cast-function-type)
endif()

# Figure out Python3 debug/release before anything else can find_package it
if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)
  # Force FindPython3 to use the debug interpretter where ROS 2 expects it
  set(Python3_EXECUTABLE "${PYTHON_EXECUTABLE_DEBUG}")
endif()
find_package(Python3 REQUIRED COMPONENTS Interpreter Development)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)

ament_python_install_package(${PROJECT_NAME})

python3_add_library(_tf2_py src/tf2_py.cpp)

if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
  # python3_add_library should really take care of this for us, but it doesn't
  set_property(TARGET _tf2_py PROPERTY SUFFIX "_d.pyd")
endif()

# Set output directories to import module from the build directory
# Use a no-op generator expression so multi-config generators don't append an
# extra directory like Release/ or Debug/ and break the Python import.
set_target_properties(_tf2_py PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY "$<1:${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}>"
  RUNTIME_OUTPUT_DIRECTORY "$<1:${CMAKE_CURRENT_BINARY_DIR}/test_${PROJECT_NAME}>"
)

target_link_libraries(_tf2_py PRIVATE
  ${geometry_msgs_TARGETS}
  tf2::tf2
)

install(TARGETS
  _tf2_py
  DESTINATION ${PYTHON_INSTALL_DIR}/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # TODO (ahcorde): disable the copyright check. Once we figure out the ament_lint situation
  # https://github.com/ros2/geometry2/pull/222
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_copyright
    ament_cmake_cpplint
  )
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)

  ament_add_pytest_test(tf2_py_test test
    APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
  )

  # Create importable location in build directory
  file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/test_tf2_py/__init__.py" "")
endif()

ament_package()

=== debian/changelog ===
ros-iron-tf2-py (0.31.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-tf2-py (0.31.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-tf2-py (0.31.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tf2-py (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tf2-py (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tf2-py (0.31.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-tf2-py (0.30.0-1jammy) jammy; urgency=high

  * Update geometry2 to C++17 (#584 <https://github.com/ros2/geometry2/issues/584>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tf2-py (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 16:00:00 -0000

ros-iron-tf2-py (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-tf2-py (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-tf2-py (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-tf2-py (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 16:00:00 -0000

ros-iron-tf2-py (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tf2-py (0.25.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-tf2-py (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-tf2-py (0.23.0-1jammy) jammy; urgency=high

  * Make sure to finalize tf2_py BufferCore. (#505 <https://github.com/ros2/geometry2/issues/505>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-tf2-py (0.22.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-tf2-py (0.21.0-1jammy) jammy; urgency=high

  * Make tf2_py Use FindPython3 (#494 <https://github.com/ros2/geometry2/issues/494>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-tf2-py (0.20.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-tf2-py (0.19.0-1jammy) jammy; urgency=high

  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 16:00:00 -0000

ros-iron-tf2-py (0.18.0-1jammy) jammy; urgency=high

  * Remove python_compat.h (#417 <https://github.com/ros2/geometry2/issues/417>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 16:00:00 -0000

ros-iron-tf2-py (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-tf2-py (0.17.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-iron-tf2-py (0.16.0-1jammy) jammy; urgency=high

  * Adapt to Python 3.9 (#362 <https://github.com/ros2/geometry2/issues/362>)
  * Contributors: Homalozoa X

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-tf2-py (0.15.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-tf2-py (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-iron-tf2-py (0.14.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-tf2-py (0.14.0-1jammy) jammy; urgency=high

  * Add in pytest.ini so tests succeed locally. (#280 <https://github.com/ros2/geometry2/issues/280>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Aug 2020 16:00:00 -0000

ros-iron-tf2-py (0.13.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-tf2-py (0.13.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-tf2-py (0.13.2-1jammy) jammy; urgency=high

  * Explicitly add DLL directories for Windows before importing (#266 <https://github.com/ros2/geometry2/issues/266>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 May 2020 16:00:00 -0000

ros-iron-tf2-py (0.13.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-iron-tf2-py
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs, ros-iron-python-cmake-module, ros-iron-tf2, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/tf2_py
Standards-Version: 3.9.2

Package: ros-iron-tf2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rclpy, ros-iron-rpyutils, ros-iron-tf2, ros-iron-ros-workspace
Description: The tf2_py package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-tf2-py//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
